Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.classification
Class InterfaceAudience

    java.lang.Object
      org.apache.hadoop.classification.InterfaceAudience

    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public class InterfaceAudience

extends Object

Annotation to inform users of a package, class or method's intended audience.

Nested Class Summary
`static interface` | `InterfaceAudience.LimitedPrivate` Intended only for the project(s) specified in the annotation.
`static interface` | `InterfaceAudience.Private` Intended for use only within Hadoop itself.
`static interface` | `InterfaceAudience.Public` Intended for use by any project or application.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation